de.vc.io.rtf.parser

## Class PositionProperties

- java.lang.Object
- - de.vc.io.rtf.parser.PositionProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PositionProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Position properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `height`
    `int` | `posX`
    `static int` | `POSX_POLICY_CENTERED`
    `static int` | `POSX_POLICY_COORD`
    `static int` | `POSX_POLICY_INSIDE`
    `static int` | `POSX_POLICY_LEFT`
    `static int` | `POSX_POLICY_OUTSIDE`
    `static int` | `POSX_POLICY_RIGHT`
    `static int` | `POSX_REFERENCE_CHARACTER`
    `static int` | `POSX_REFERENCE_COLUMN`
    `static int` | `POSX_REFERENCE_MARGIN`
    `static int` | `POSX_REFERENCE_PAGE`
    `int` | `posXpolicy`
    `int` | `posXreference`
    `int` | `posY`
    `static int` | `POSY_POLICY_BOTTOM`
    `static int` | `POSY_POLICY_CENTERED`
    `static int` | `POSY_POLICY_COORD`
    `static int` | `POSY_POLICY_INLINE`
    `static int` | `POSY_POLICY_INSIDE`
    `static int` | `POSY_POLICY_OUTSIDE`
    `static int` | `POSY_POLICY_TOP`
    `static int` | `POSY_REFERENCE_LINE`
    `static int` | `POSY_REFERENCE_MARGIN`
    `static int` | `POSY_REFERENCE_PAGE`
    `static int` | `POSY_REFERENCE_PARAGRAPH`
    `int` | `posYpolicy`
    `int` | `posYreference`
    `java.lang.Integer` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PositionProperties` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Integer` | `getAbsHeight()`
    `java.lang.Integer` | `getAbsWidth()`
    `boolean` | `isRelativeYPos()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POSX_REFERENCE_MARGIN

          public static final int POSX_REFERENCE_MARGIN

      See Also:
        Constant Field Values

    - #### POSX_REFERENCE_PAGE

          public static final int POSX_REFERENCE_PAGE

      See Also:
        Constant Field Values

    - #### POSX_REFERENCE_COLUMN

          public static final int POSX_REFERENCE_COLUMN

      See Also:
        Constant Field Values

    - #### POSX_REFERENCE_CHARACTER

          public static final int POSX_REFERENCE_CHARACTER

      See Also:
        Constant Field Values

    - #### POSY_REFERENCE_MARGIN

          public static final int POSY_REFERENCE_MARGIN

      See Also:
        Constant Field Values

    - #### POSY_REFERENCE_PAGE

          public static final int POSY_REFERENCE_PAGE

      See Also:
        Constant Field Values

    - #### POSY_REFERENCE_PARAGRAPH

          public static final int POSY_REFERENCE_PARAGRAPH

      See Also:
        Constant Field Values

    - #### POSY_REFERENCE_LINE

          public static final int POSY_REFERENCE_LINE

      See Also:
        Constant Field Values

    - #### POSX_POLICY_COORD

          public static final int POSX_POLICY_COORD

      See Also:
        Constant Field Values

    - #### POSX_POLICY_CENTERED

          public static final int POSX_POLICY_CENTERED

      See Also:
        Constant Field Values

    - #### POSX_POLICY_LEFT

          public static final int POSX_POLICY_LEFT

      See Also:
        Constant Field Values

    - #### POSX_POLICY_RIGHT

          public static final int POSX_POLICY_RIGHT

      See Also:
        Constant Field Values

    - #### POSX_POLICY_INSIDE

          public static final int POSX_POLICY_INSIDE

      See Also:
        Constant Field Values

    - #### POSX_POLICY_OUTSIDE

          public static final int POSX_POLICY_OUTSIDE

      See Also:
        Constant Field Values

    - #### POSY_POLICY_COORD

          public static final int POSY_POLICY_COORD

      See Also:
        Constant Field Values

    - #### POSY_POLICY_CENTERED

          public static final int POSY_POLICY_CENTERED

      See Also:
        Constant Field Values

    - #### POSY_POLICY_TOP

          public static final int POSY_POLICY_TOP

      See Also:
        Constant Field Values

    - #### POSY_POLICY_BOTTOM

          public static final int POSY_POLICY_BOTTOM

      See Also:
        Constant Field Values

    - #### POSY_POLICY_INLINE

          public static final int POSY_POLICY_INLINE

      See Also:
        Constant Field Values

    - #### POSY_POLICY_INSIDE

          public static final int POSY_POLICY_INSIDE

      See Also:
        Constant Field Values

    - #### POSY_POLICY_OUTSIDE

          public static final int POSY_POLICY_OUTSIDE

      See Also:
        Constant Field Values

    - #### width

          public java.lang.Integer width

    - #### height

          public java.lang.Integer height

    - #### posX

          public int posX

    - #### posY

          public int posY

    - #### posXpolicy

          public int posXpolicy

    - #### posYpolicy

          public int posYpolicy

    - #### posXreference

          public int posXreference

    - #### posYreference

          public int posYreference

  - ### Constructor Detail

    - #### PositionProperties

          public PositionProperties()

  - ### Method Detail

    - #### copy

          public PositionProperties copy()

    - #### getAbsWidth

          public java.lang.Integer getAbsWidth()

    - #### getAbsHeight

          public java.lang.Integer getAbsHeight()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isRelativeYPos

          public boolean isRelativeYPos()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.